POST
/
sessions
/
{id}
/
dispute
/
resolve
curl -X POST https://api.stableyard.fi/v2/sessions/ses_abc123/dispute/resolve \
  -H "Authorization: Bearer sy_secret_*" \
  -H "Content-Type: application/json" \
  -d '{
    "resolution": "refunded",
    "note": "Full refund issued to customer"
  }'
{
  "object": "session",
  "id": "ses_abc123",
  "dispute": {
    "status": "resolved",
    "resolution": "refunded",
    "note": "Full refund issued to customer",
    "resolvedAt": "2026-03-21T14:00:00.000Z"
  },
  "requestId": "req_abc123"
}
Resolve a dispute that was previously flagged on a session. Auth: sy_secret_*
id
string
required
Session ID with an active dispute
resolution
string
required
How the dispute was resolved
note
string
Additional notes about the resolution
curl -X POST https://api.stableyard.fi/v2/sessions/ses_abc123/dispute/resolve \
  -H "Authorization: Bearer sy_secret_*" \
  -H "Content-Type: application/json" \
  -d '{
    "resolution": "refunded",
    "note": "Full refund issued to customer"
  }'
{
  "object": "session",
  "id": "ses_abc123",
  "dispute": {
    "status": "resolved",
    "resolution": "refunded",
    "note": "Full refund issued to customer",
    "resolvedAt": "2026-03-21T14:00:00.000Z"
  },
  "requestId": "req_abc123"
}